*{
	box-sizing: border-box;
	margin:0;
	padding:0;
}
html{
    scroll-behavior: smooth;
    background-color: #00aaff;
    display: block;
    margin-top: -30px;
}
html::-webkit-scrollbar {
    width: 6px;

}

html::-webkit-scrollbar-track {
    background-color: black;
}


html::-webkit-scrollbar-thumb {
    background-color: rgb(77, 203, 241);
    border-radius: 10px;
}

body {
    background: linear-gradient(45deg, #121212, #1c1c1c);
    color: #fff;
    font-family: 'Arial', sans-serif;
}

/*Header*/
header{
    height: 90px;
    transition: 0.8s ease-out;
	width:100%;
    display: block;
    position: fixed;
    z-index: 100;

}
header.abajo{
    backdrop-filter: blur(10px);
    background: rgba(0, 0, 0, 0.3);
    transition: 0.8s ease-out;
}
.container{
	width: 80%;
	margin: auto;
}
nav{
	text-align: center;
    margin: 15px;
}
nav ul{
	list-style:none;
    display: block;
}
nav  li{
	display: inline-block;
}
nav  a{
    font-size: 19px;
    font-family: Calibri;
	display: block;
	padding: 15px;
	text-decoration:none;
	color:#FFFFFF;
    transition: 0.5s ease-out;

}
nav a.active {
    color: #4dcaf1;
    border-bottom: 2px solid #4dcaf1;
}
nav a:hover {
    transition: 0.5s ease-out;
    color: rgb(77, 203, 241);
    border-bottom:2px solid rgb(77, 203, 241);
}

.redes{
    position: fixed;
    z-index: 10;
    width: 20px;
    margin-top: 40vh;
    margin-left: 50px;
}
.redes img{
    width: 25px;
    margin: 10px;
}
/*Banner*/
.banner {
    width: 100%;
    min-height: 100vh;
    padding: 50px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    box-sizing: border-box;
}

.img-personal {
    flex: 1 1 45%;
    margin: auto;
    display: flex;
    justify-content: center;
}

.perfil {
    width: 400px;
    border-radius: 50%;
    box-shadow: 0px 0px 25px rgb(0, 0, 0);
    border: 2px solid rgb(77, 203, 241);
}

.info-personal {
    flex: 1 1 50%;
    padding: 20px;
    text-align: left;
}

.info-personal h1 {
    font-size: 35px;
    color: rgb(77, 203, 241);
    font-family: Arial, sans-serif;
}

.info-personal h2 {
    text-align: left;
    font-size: 45px;
    color: white;
    font-family: Calibri, sans-serif;
    margin-bottom: 20px;
}
.info-personal h3 {
    text-align: left;
    font-size: 25px;
    color: white;
    font-family: Calibri, sans-serif;
    margin-bottom: 20px;
}
.info-personal p {
    font-size: 18px;
    color: white;
    margin: 15px 0;
}

.info-personal span {
    font-size: 25px;
    color: rgb(77, 203, 241);
    font-family: Calibri, sans-serif;
}

.buttons {
    margin-top: 20px;
    display: flex;
    gap: 15px;
}

.button-01, .button-02 {
    padding: 10px 20px;
    color: white;
    background: #4dcaf1;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.button-01 {
    background: transparent;
    color: rgb(77, 203, 241);
    border: 2px solid rgb(77, 203, 241);
}

.button-02 {
    background: rgb(77, 203, 241);
    color: white;
    border: none;
}

.button-01:hover {
    background: rgba(77, 203, 241, 0.164);
    box-shadow: 0px 0px 7px rgb(77, 203, 241);
}

.button-02:hover {
    background: rgba(77, 203, 241, 0.8);
    box-shadow: 0px 0px 7px rgb(77, 203, 241);
}

/* Sobre mi */
.sobremi{
    width: 90%;
    margin: auto;
    padding-top: 40px;
}
.sobremi h2{
    font-size: 30px;
    margin: 20px;
}
.sobremi p{
    text-align: justify;
    font-size: 17px;
    margin-left: 60px;
    margin-bottom: 20px;
    margin-right: 60px;
}
.sobremi img{
    text-align: center;
    width: 250px;
    border-radius: 5%;
    box-shadow: 0px 0px 25px rgb(0, 0, 0);
    border: 1px solid rgb(77, 203, 241);
}

/* Habilidades */
.habilidades{
    width: 90%;
    margin: auto;
    padding-top: 40px;
}
.habilidades h2{
    font-size: 30px;
    margin: 20px;
}

/* Formacion */
.formacion{
    width: 90%;
    margin: auto;
    padding-top: 40px;
}
.formacion h2{
    font-size: 30px;
    margin: 20px;
}
.formacion strong{
    font-size: 20px;
}
.formacion li{
    font-size: 15px;
    margin: 20px;
}

/* Proyectos */
.proyectos{
    width: 90%;
    margin: auto;
    padding-top: 40px;
}
.proyectos h2{
    font-size: 30px;
    margin: 20px;
}
.proyectos li{
    font-size: 15px;
    margin: 20px;
}
.proyectos strong{
    font-size: 20px;
    margin: 20px;
}

/* Contacto */
.contacto{
    width: 90%;
    margin: auto;
    padding-top: 40px;
    padding-bottom: 40px;
}
.contacto p{
    font-size: 18px;
    margin: 20px;
}
.contacto h2{
    font-size: 30px;
    margin: 20px;
}
.contacto li{
    font-size: 15px;
    margin: 20px;
}
.contacto strong{
    font-size: 20px;
    margin: 20px;
}


section {
    padding: 20px;
    margin: 20px 0;
    color: white;
    background-color: #1c1c1c;
    border-radius: 10px;
}



h2 {
    text-align: center;
    font-size: 2rem;
    color: #00aaff;
}

ul {
    list-style: none;
    padding: 0;
}

ul li {
    padding: 10px 0;
    border-bottom: 1px solid #333;
}

a {
    color: #00aaff;
    text-decoration: none;
}

footer {
    text-align: center;
    font-size: 15px;
    padding: 20px;
    background-color: #101010;
    color: #bbb;
    margin-top: 20px;
}
.section-title {
    font-size: 32px;
    color: #4dcaf1;
    text-align: center;
    margin-bottom: 20px;
    position: relative;
}

.section-title::after {
    content: "";
    display: block;
    width: 100px;
    height: 4px;
    background: #4dcaf1;
    margin: 10px auto 0;
    border-radius: 2px;
}
.card {
    background-color: #1c1c1c;
    color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    margin-bottom: 20px;
}

.card h3 {
    font-size: 20px;
    margin-bottom: 10px;
    color: #4dcaf1;
}

.card p {
    font-size: 16px;
    line-height: 1.6;
}
.section-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    padding: 20px;
}
@media only screen and (max-width: 550px) {
    header {
        height: auto;
        padding: 10px 20px;
        position: fixed;
        width: 100%;
        z-index: 100;
        background: rgba(0, 0, 0, 0.8);
    }

    .banner {
        flex-direction: column;
        text-align: center;
        margin-top: 30px; /* Ajusta para evitar superposición */
        padding-top: 50px;
    }

    .img-personal {
        flex: none;
        width: 100%;
        margin: 10px auto;
    }

    .perfil {
        width: 100%;
    }


    .info-personal {
        flex: 1 1 50%;
        padding: 10px;
        text-align: left;
        width: 100%;
    }
    
    .info-personal h1 {
        font-size: 30px;
        color: rgb(77, 203, 241);
        font-family: Arial, sans-serif;
        text-align: center;
    }
    
    .info-personal h2 {
        text-align: center;
        font-size: 40px;
        color: white;
        font-family: Calibri, sans-serif;
    }
    .info-personal h3 {
        text-align: left;
        font-size: 20px;
        color: white;
        font-family: Calibri, sans-serif;

    }
    .info-personal p {
        font-size: 17px;
        color: white;
        text-align: justify;
    }
    
    .info-personal span {
        font-size: 17px;
        color: rgb(77, 203, 241);
        font-family: Calibri, sans-serif;
        text-align: center;
    }
    
    .buttons {
        display: none;
    }
    
    .button-01, .button-02 {
        display: none;
    }
    
    .button-01 {
        display: none;
    }
    
    .button-02 {
        display: none;
    }
    .sobremi{
        width: 95%;
        margin: auto;
        padding-top: 20px;
    }
    .sobremi p{
        text-align: justify;
        font-size: 17px;
        margin-left: 5px;
        margin-bottom: 20px;
        margin-right: 5px;
    }
    .sobremi img{
        text-align: center;
        margin-top: 20px;
        width: 100%;
        border-radius: 5%;
        box-shadow: 0px 0px 25px rgb(0, 0, 0);
        border: 1px solid rgb(77, 203, 241);
    }
    .habilidades{
        width: 95%;
        margin: auto;
        padding-top: 20px;
    }
    .habilidades h2{
        font-size: 30px;
        margin: 5px;
    }

    .formacion{
        width: 95%;
        margin: auto;
        padding-top: 20px;
    }
    .formacion h2{
        font-size: 30px;
        margin: 5px;
    }
    .formacion strong{
        font-size: 17px;
    }
    .formacion li{
        font-size: 15px;
        margin: 5px;
    }
    /* Proyectos */
.proyectos{
    width: 95%;
    margin: auto;
    padding-top: 20px;
}
.proyectos h2{
    font-size: 30px;
    margin: 5px;
}
.proyectos li{
    font-size: 15px;
    margin: 5px;
}
.proyectos strong{
    font-size: 17px;
    margin: 5px;
}
/* Contacto */
.contacto{
    width: 95%;
    margin: auto;
    padding-top: 20px;
    padding-bottom: 20px;
}
.contacto p{
    font-size: 17px;
    margin: 5px;
}
.contacto h2{
    font-size: 30px;
    margin: 20px;
}
.contacto li{
    font-size: 15px;
    margin: 5px;
}
.contacto strong{
    font-size: 15px;
    margin: 5px;
}

}

